Author Topic: DAHDI 2.6.1 does not make in Linux kernel 3.8.0-29-generic  (Read 1028 times)

Offline Nazish Kanwal

  • Newbie
  • *
  • Posts: 1
DAHDI 2.6.1 does not make in Linux kernel 3.8.0-29-generic
« on: October 27, 2013, 02:56:50 PM »
Hi,

I downloaded source codes of DAHDI 2.6.1 and Linux Kernel 3.8.0-29-generic.

When I typed
Code: [Select]
sudo apt-get install linux-headers-$(uname -r) to install linux kernel header I got the message shown below:
Code: [Select]
Reading package lists... Done
Building dependency tree
Reading state information... Done
linux-headers-3.8.0-29-generic is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.

I am facing problem when I try to compile and install DAHDI on my UBUNTU Server. It displays me the messages displayed below (can also view in attachments):

Code: [Select]
/home/asteriskpbx/src/asterisk-complete/dahdi/2.6.1+2.6.1/linux/drivers/dahdi/wctdm.c:2604:22: error: expected '=', ',', ';', 'asm' or '__attribute__' before

'wctdm_init_one'

/home/asteriskpbx/src/asterisk-complete/dahdi/2.6.1+2.6.1/linux/drivers/dahdi/wctdm.c:289:22: warning: 'ifaces' defined but not used [-Wunused-variable]

/home/asteriskpbx/src/asterisk-complete/dahdi/2.6.1+2.6.1/linux/drivers/dahdi/wctdm.c:2592:13: warning: 'wctdm-reset_tdm' defined but not used [-Wunused-function]

and so on...

In the end of compilation messages, it displays:

Code: [Select]
cc1: some warnings being treated as errors
make[3] : *** [/home/asteriskpbx/src/asterisk-complete/dahdi/2.6.1+2.6.1/linux/drivers/dahdi/wctdm.o] Error 1
make[2] : *** [_module_/home/asteriskpbx/src/asterisk-complete/dahdi/2.6.1+2.6.1/linux/drivers/dahdi] Error 2
make[2] : Leaving directory '/usr/src/linux-headers-3.8.0-29-generic'
make[1] : *** [modules] Error 2
make[1] : Leaving directory '/home/asteriskpbx/src/asterisk-complete/dahdi/2.6.1+2.6.1/linux'
make: *** [all] Error 2

I am a newbie in this regard. Kindly help me figuring the problem out, and also guide me to the solution of the problem.

Regards,
Nazish Kanwal
« Last Edit: October 28, 2013, 07:14:59 AM by Nazish Kanwal »

Ubuntu Forums (Ubuntu Linux Support)

DAHDI 2.6.1 does not make in Linux kernel 3.8.0-29-generic
« on: October 27, 2013, 02:56:50 PM »